# Method: projects.secrets.delete

- [HTTP request](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets/delete#try-it)

Deletes a `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets#Secret`.

### HTTP request

`DELETE https://secretmanager.googleapis.com/v1/{name=projects/*/secrets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets#Secret` to delete in the format `projects/*/secrets/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `secretmanager.secrets.delete` |

### Query parameters

| Parameters ||
|---|---|
| `etag` | `string` Optional. Etag of the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1/projects.secrets#Secret`. The request succeeds if it matches the etag of the currently stored secret object. If the etag is omitted, the request succeeds. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).